PHP 5.4.32 Released

Cambios relativos al soporte en Windows

Cambios respecto a las ediciones de Windows:

  • La versión mínima de Windows es ahora Windows XP SP3; Windows 98, ME, 2000 y NT4 ya no están soportados.
  • Ahora se realizan binarios de Windows i586 y posteriores. Ya no se soporta ni i386 ni i486.
  • Ahora hay soporte experimental para PHP en versiones x64 de Windows.
  • Ahora hay soporte para el compilador Visual C++ 9 (VC9), usando Visual Studio 2008. Tanto las snapshots como las releases estarán ahora disponibles para VC9. Al igual que con VC9, los antiguos binarios que utilizan VC6 siguen estando soportados y lanzados.
  • La biblioteca PDO_OCI php_pdo_oci8.dll (para usar con la versión 8 de las bibliotecas clientes de Oracle) ya no se construyen. En su lugar, utilice php_pdo_oci.dll (sin el '8') con las bibliotecas clientes de Oracle 10 o 11. Todavía se soporta las conexiones a otras bases de datos.
  • Para la extensión OCI8, está disponible la nueva biblioteca php_oci8_11g.dll además de php_oci8.dll. Sólo puede haber una activa a la vez. Utilice php_oci8.dll con la biblioteca cliente de Oracle 10.2. Utilice php_oci8_11g.dll con Oracle 11 o bibliotecas cliente posteriores. Todavía se admiten conexiones a otras versiones de bases de datos.

Se ha añadido soporte para Windows en la siguientes funciones:

Otros cambios:

  • Mejorada la portabilidad de las funciones stat(), touch(), filemtime(), filesize(), y de otras funciones similares (100% portable para los datos disponibles).
  • Ahora es posible crear enlaces duros en Windows utilizando la función link(), y también enlaces simbólicos utiliza la función symlink(). Los enlaces duros están disponibles desde Windows 2000, y los enlaces simbólicos desde Windows Vista.
  • Las versiones de PHP para Windows ahora declaran un conjunto de constantes con el prefijo PHP_WINDOWS_*. Puede encontrar una lista de estas constantes y sobre su uso en Constantes predefinidas.
Advertencia

Se ha eliminado el soporte para el módulo ISAPI. En su lugar, utilice el módulo mejorado FastCGI SAPI.

Nota: Ahora hay un nuevo sitio dedicado a PHP en Windows, incluyendo descargas, versiones candidatas, y versiones estables en varias formas (seguridad-en-hilos/sin-seguridad-en-hilos, VC6/VC9, x86/x64). La URL de este sitio es » http://windows.php.net/.

add a note add a note

User Contributed Notes 3 notes

up
1
Anonymous
4 years ago
Due to the required getaddrinfo() function in Ws2_32.dll added to Windows XP SP2 and later.

The minimum Windows version is now Windows XP SP2; Windows XP SP1, 2000, 98, ME, and NT4 are no longer supported.

See: http://bugs.php.net/48761
up
0
kevinpeno at gmail dot com
5 years ago
Fast CGI is available for IIS6. Reading the IIS website (which is more appropriate since it is server specific) yields plenty of results regarding PHP setup under the fastCGI module. They even have an entire domain associated with PHP.

Note: links were denied because they were supposedly spam? Everything you need to know is linked at the beginning of this site:  http://php.iis.net/
up
-1
philmee95 at gmail dot com
5 years ago
Well worth the effort to set up fast cgi on windows. No more lockups with php or 40 procs running...and 1 killing IIS. Some PHP INI vars can't be overriden in your php files, so read up (like timeout). 8 months and no more locked up iis.
To Top